target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0

; Function Attrs: nounwind
declare spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64, float addrspace(1)*, i32) #1

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float>, i64, float addrspace(1)*) #1

; Function Attrs: nounwind
define spir_func <3 x float> @shuffle_fn(<3 x float> %source) #1 {
  %source.addr = alloca <3 x float>, align 16
  %extractVec = shufflevector <3 x float> %source, <3 x float> undef, <4 x i32> <i32 0, i32 1, i32 2, i32 undef>
  %storetmp = bitcast <3 x float>* %source.addr to <4 x float>*
  store <4 x float> %extractVec, <4 x float>* %storetmp, align 16
  %castToVec4 = bitcast <3 x float>* %source.addr to <4 x float>*
  %loadVec4 = load <4 x float>, <4 x float>* %castToVec4, align 16
  %extractVec1 = shufflevector <4 x float> %loadVec4, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  ret <3 x float> %extractVec1
}

; Function Attrs: nounwind
define spir_kernel void @sample_test(float addrspace(1)* %source, float addrspace(1)* %dest) #1 {
  %tmp = alloca <3 x float>, align 16
  %1 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0
  %call = extractelement <3 x i64> %1, i32 0
  %cmp = icmp ne i64 %call, 0
  br i1 %cmp, label %2, label %3

2:                                                ; preds = %0
  br label %121

3:                                                ; preds = %0
  %storetmp = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp, align 16
  %call1 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 0, float addrspace(1)* %source, i32 3) #1
  %call2 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call1) #1
  %4 = extractelement <3 x float> %call2, i32 0
  %5 = load <3 x float>, <3 x float>* %tmp, align 16
  %6 = insertelement <3 x float> %5, float %4, i32 1
  store <3 x float> %6, <3 x float>* %tmp, align 16
  %castToVec4 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4 = load <4 x float>, <4 x float>* %castToVec4, align 16
  %extractVec = shufflevector <4 x float> %loadVec4, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec, i64 0, float addrspace(1)* %dest) #1
  %storetmp4 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp4, align 16
  %call5 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 1, float addrspace(1)* %source, i32 3) #1
  %call6 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call5) #1
  %7 = extractelement <3 x float> %call6, i32 2
  %8 = load <3 x float>, <3 x float>* %tmp, align 16
  %9 = insertelement <3 x float> %8, float %7, i32 0
  store <3 x float> %9, <3 x float>* %tmp, align 16
  %castToVec48 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec49 = load <4 x float>, <4 x float>* %castToVec48, align 16
  %extractVec10 = shufflevector <4 x float> %loadVec49, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec10, i64 1, float addrspace(1)* %dest) #1
  %storetmp11 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp11, align 16
  %call12 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 2, float addrspace(1)* %source, i32 3) #1
  %call13 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call12) #1
  %10 = extractelement <3 x float> %call13, i32 2
  %11 = load <3 x float>, <3 x float>* %tmp, align 16
  %12 = insertelement <3 x float> %11, float %10, i32 0
  store <3 x float> %12, <3 x float>* %tmp, align 16
  %castToVec415 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec416 = load <4 x float>, <4 x float>* %castToVec415, align 16
  %extractVec17 = shufflevector <4 x float> %loadVec416, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec17, i64 2, float addrspace(1)* %dest) #1
  %storetmp18 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp18, align 16
  %call19 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 3, float addrspace(1)* %source, i32 3) #1
  %call20 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call19) #1
  %13 = extractelement <3 x float> %call20, i32 0
  %14 = load <3 x float>, <3 x float>* %tmp, align 16
  %15 = insertelement <3 x float> %14, float %13, i32 1
  store <3 x float> %15, <3 x float>* %tmp, align 16
  %castToVec422 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec423 = load <4 x float>, <4 x float>* %castToVec422, align 16
  %extractVec24 = shufflevector <4 x float> %loadVec423, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec24, i64 3, float addrspace(1)* %dest) #1
  %storetmp25 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp25, align 16
  %call26 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 4, float addrspace(1)* %source, i32 3) #1
  %call27 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call26) #1
  %16 = extractelement <3 x float> %call27, i32 1
  %17 = load <3 x float>, <3 x float>* %tmp, align 16
  %18 = insertelement <3 x float> %17, float %16, i32 1
  store <3 x float> %18, <3 x float>* %tmp, align 16
  %castToVec429 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec430 = load <4 x float>, <4 x float>* %castToVec429, align 16
  %extractVec31 = shufflevector <4 x float> %loadVec430, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec31, i64 4, float addrspace(1)* %dest) #1
  %storetmp32 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp32, align 16
  %call33 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 5, float addrspace(1)* %source, i32 3) #1
  %call34 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call33) #1
  %19 = extractelement <3 x float> %call34, i32 0
  %20 = load <3 x float>, <3 x float>* %tmp, align 16
  %21 = insertelement <3 x float> %20, float %19, i32 2
  store <3 x float> %21, <3 x float>* %tmp, align 16
  %castToVec436 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec437 = load <4 x float>, <4 x float>* %castToVec436, align 16
  %extractVec38 = shufflevector <4 x float> %loadVec437, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec38, i64 5, float addrspace(1)* %dest) #1
  %storetmp39 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp39, align 16
  %call40 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 6, float addrspace(1)* %source, i32 3) #1
  %call41 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call40) #1
  %22 = extractelement <3 x float> %call41, i32 0
  %23 = load <3 x float>, <3 x float>* %tmp, align 16
  %24 = insertelement <3 x float> %23, float %22, i32 1
  store <3 x float> %24, <3 x float>* %tmp, align 16
  %castToVec443 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec444 = load <4 x float>, <4 x float>* %castToVec443, align 16
  %extractVec45 = shufflevector <4 x float> %loadVec444, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec45, i64 6, float addrspace(1)* %dest) #1
  %storetmp46 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp46, align 16
  %call47 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 7, float addrspace(1)* %source, i32 3) #1
  %call48 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call47) #1
  %25 = extractelement <3 x float> %call48, i32 2
  %26 = load <3 x float>, <3 x float>* %tmp, align 16
  %27 = insertelement <3 x float> %26, float %25, i32 2
  store <3 x float> %27, <3 x float>* %tmp, align 16
  %castToVec450 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec451 = load <4 x float>, <4 x float>* %castToVec450, align 16
  %extractVec52 = shufflevector <4 x float> %loadVec451, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec52, i64 7, float addrspace(1)* %dest) #1
  %storetmp53 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp53, align 16
  %call54 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 8, float addrspace(1)* %source, i32 3) #1
  %call55 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call54) #1
  %28 = extractelement <3 x float> %call55, i32 1
  %29 = load <3 x float>, <3 x float>* %tmp, align 16
  %30 = insertelement <3 x float> %29, float %28, i32 0
  store <3 x float> %30, <3 x float>* %tmp, align 16
  %castToVec457 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec458 = load <4 x float>, <4 x float>* %castToVec457, align 16
  %extractVec59 = shufflevector <4 x float> %loadVec458, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec59, i64 8, float addrspace(1)* %dest) #1
  %storetmp60 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp60, align 16
  %call61 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 9, float addrspace(1)* %source, i32 3) #1
  %call62 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call61) #1
  %31 = extractelement <3 x float> %call62, i32 1
  %32 = load <3 x float>, <3 x float>* %tmp, align 16
  %33 = insertelement <3 x float> %32, float %31, i32 1
  store <3 x float> %33, <3 x float>* %tmp, align 16
  %castToVec464 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec465 = load <4 x float>, <4 x float>* %castToVec464, align 16
  %extractVec66 = shufflevector <4 x float> %loadVec465, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec66, i64 9, float addrspace(1)* %dest) #1
  %storetmp67 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp67, align 16
  %call68 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 10, float addrspace(1)* %source, i32 3) #1
  %call69 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call68) #1
  %34 = extractelement <3 x float> %call69, i32 1
  %35 = load <3 x float>, <3 x float>* %tmp, align 16
  %36 = insertelement <3 x float> %35, float %34, i32 2
  store <3 x float> %36, <3 x float>* %tmp, align 16
  %castToVec471 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec472 = load <4 x float>, <4 x float>* %castToVec471, align 16
  %extractVec73 = shufflevector <4 x float> %loadVec472, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec73, i64 10, float addrspace(1)* %dest) #1
  %storetmp74 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp74, align 16
  %call75 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 11, float addrspace(1)* %source, i32 3) #1
  %call76 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call75) #1
  %37 = shufflevector <3 x float> %call76, <3 x float> undef, <2 x i32> <i32 2, i32 0>
  %38 = load <3 x float>, <3 x float>* %tmp, align 16
  %39 = shufflevector <2 x float> %37, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %40 = shufflevector <3 x float> %38, <3 x float> %39, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x float> %40, <3 x float>* %tmp, align 16
  %castToVec478 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec479 = load <4 x float>, <4 x float>* %castToVec478, align 16
  %extractVec80 = shufflevector <4 x float> %loadVec479, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec80, i64 11, float addrspace(1)* %dest) #1
  %storetmp81 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp81, align 16
  %call82 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 12, float addrspace(1)* %source, i32 3) #1
  %call83 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call82) #1
  %41 = shufflevector <3 x float> %call83, <3 x float> undef, <2 x i32> <i32 0, i32 2>
  %42 = load <3 x float>, <3 x float>* %tmp, align 16
  %43 = shufflevector <2 x float> %41, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %44 = shufflevector <3 x float> %42, <3 x float> %43, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x float> %44, <3 x float>* %tmp, align 16
  %castToVec485 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec486 = load <4 x float>, <4 x float>* %castToVec485, align 16
  %extractVec87 = shufflevector <4 x float> %loadVec486, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec87, i64 12, float addrspace(1)* %dest) #1
  %storetmp88 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp88, align 16
  %call89 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 13, float addrspace(1)* %source, i32 3) #1
  %call90 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call89) #1
  %45 = shufflevector <3 x float> %call90, <3 x float> undef, <2 x i32> <i32 0, i32 2>
  %46 = load <3 x float>, <3 x float>* %tmp, align 16
  %47 = shufflevector <2 x float> %45, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %48 = shufflevector <3 x float> %46, <3 x float> %47, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x float> %48, <3 x float>* %tmp, align 16
  %castToVec492 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec493 = load <4 x float>, <4 x float>* %castToVec492, align 16
  %extractVec94 = shufflevector <4 x float> %loadVec493, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec94, i64 13, float addrspace(1)* %dest) #1
  %storetmp95 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp95, align 16
  %call96 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 14, float addrspace(1)* %source, i32 3) #1
  %call97 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call96) #1
  %49 = shufflevector <3 x float> %call97, <3 x float> undef, <2 x i32> <i32 1, i32 1>
  %50 = load <3 x float>, <3 x float>* %tmp, align 16
  %51 = shufflevector <2 x float> %49, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %52 = shufflevector <3 x float> %50, <3 x float> %51, <3 x i32> <i32 3, i32 4, i32 2>
  store <3 x float> %52, <3 x float>* %tmp, align 16
  %castToVec499 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4100 = load <4 x float>, <4 x float>* %castToVec499, align 16
  %extractVec101 = shufflevector <4 x float> %loadVec4100, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec101, i64 14, float addrspace(1)* %dest) #1
  %storetmp102 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp102, align 16
  %call103 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 15, float addrspace(1)* %source, i32 3) #1
  %call104 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call103) #1
  %53 = shufflevector <3 x float> %call104, <3 x float> undef, <2 x i32> <i32 2, i32 0>
  %54 = load <3 x float>, <3 x float>* %tmp, align 16
  %55 = shufflevector <2 x float> %53, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %56 = shufflevector <3 x float> %54, <3 x float> %55, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %56, <3 x float>* %tmp, align 16
  %castToVec4106 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4107 = load <4 x float>, <4 x float>* %castToVec4106, align 16
  %extractVec108 = shufflevector <4 x float> %loadVec4107, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec108, i64 15, float addrspace(1)* %dest) #1
  %storetmp109 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp109, align 16
  %call110 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 16, float addrspace(1)* %source, i32 3) #1
  %call111 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call110) #1
  %57 = shufflevector <3 x float> %call111, <3 x float> undef, <2 x i32> <i32 2, i32 1>
  %58 = load <3 x float>, <3 x float>* %tmp, align 16
  %59 = shufflevector <2 x float> %57, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %60 = shufflevector <3 x float> %58, <3 x float> %59, <3 x i32> <i32 3, i32 1, i32 4>
  store <3 x float> %60, <3 x float>* %tmp, align 16
  %castToVec4113 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4114 = load <4 x float>, <4 x float>* %castToVec4113, align 16
  %extractVec115 = shufflevector <4 x float> %loadVec4114, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec115, i64 16, float addrspace(1)* %dest) #1
  %storetmp116 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp116, align 16
  %call117 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 17, float addrspace(1)* %source, i32 3) #1
  %call118 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call117) #1
  %61 = shufflevector <3 x float> %call118, <3 x float> undef, <2 x i32> <i32 0, i32 2>
  %62 = load <3 x float>, <3 x float>* %tmp, align 16
  %63 = shufflevector <2 x float> %61, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %64 = shufflevector <3 x float> %62, <3 x float> %63, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x float> %64, <3 x float>* %tmp, align 16
  %castToVec4120 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4121 = load <4 x float>, <4 x float>* %castToVec4120, align 16
  %extractVec122 = shufflevector <4 x float> %loadVec4121, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec122, i64 17, float addrspace(1)* %dest) #1
  %storetmp123 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp123, align 16
  %call124 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 18, float addrspace(1)* %source, i32 3) #1
  %call125 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call124) #1
  %65 = shufflevector <3 x float> %call125, <3 x float> undef, <2 x i32> <i32 0, i32 1>
  %66 = load <3 x float>, <3 x float>* %tmp, align 16
  %67 = shufflevector <2 x float> %65, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %68 = shufflevector <3 x float> %66, <3 x float> %67, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %68, <3 x float>* %tmp, align 16
  %castToVec4127 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4128 = load <4 x float>, <4 x float>* %castToVec4127, align 16
  %extractVec129 = shufflevector <4 x float> %loadVec4128, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec129, i64 18, float addrspace(1)* %dest) #1
  %storetmp130 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp130, align 16
  %call131 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 19, float addrspace(1)* %source, i32 3) #1
  %call132 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call131) #1
  %69 = shufflevector <3 x float> %call132, <3 x float> undef, <2 x i32> <i32 1, i32 2>
  %70 = load <3 x float>, <3 x float>* %tmp, align 16
  %71 = shufflevector <2 x float> %69, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %72 = shufflevector <3 x float> %70, <3 x float> %71, <3 x i32> <i32 3, i32 4, i32 2>
  store <3 x float> %72, <3 x float>* %tmp, align 16
  %castToVec4134 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4135 = load <4 x float>, <4 x float>* %castToVec4134, align 16
  %extractVec136 = shufflevector <4 x float> %loadVec4135, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec136, i64 19, float addrspace(1)* %dest) #1
  %storetmp137 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp137, align 16
  %call138 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 20, float addrspace(1)* %source, i32 3) #1
  %call139 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call138) #1
  %73 = shufflevector <3 x float> %call139, <3 x float> undef, <2 x i32> zeroinitializer
  %74 = load <3 x float>, <3 x float>* %tmp, align 16
  %75 = shufflevector <2 x float> %73, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %76 = shufflevector <3 x float> %74, <3 x float> %75, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %76, <3 x float>* %tmp, align 16
  %castToVec4141 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4142 = load <4 x float>, <4 x float>* %castToVec4141, align 16
  %extractVec143 = shufflevector <4 x float> %loadVec4142, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec143, i64 20, float addrspace(1)* %dest) #1
  %storetmp144 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp144, align 16
  %call145 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 21, float addrspace(1)* %source, i32 3) #1
  %call146 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call145) #1
  %77 = shufflevector <3 x float> %call146, <3 x float> undef, <2 x i32> <i32 0, i32 2>
  %78 = load <3 x float>, <3 x float>* %tmp, align 16
  %79 = shufflevector <2 x float> %77, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %80 = shufflevector <3 x float> %78, <3 x float> %79, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x float> %80, <3 x float>* %tmp, align 16
  %castToVec4148 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4149 = load <4 x float>, <4 x float>* %castToVec4148, align 16
  %extractVec150 = shufflevector <4 x float> %loadVec4149, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec150, i64 21, float addrspace(1)* %dest) #1
  %storetmp151 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp151, align 16
  %call152 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 22, float addrspace(1)* %source, i32 3) #1
  %call153 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call152) #1
  %81 = shufflevector <3 x float> %call153, <3 x float> undef, <2 x i32> <i32 1, i32 2>
  %82 = load <3 x float>, <3 x float>* %tmp, align 16
  %83 = shufflevector <2 x float> %81, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %84 = shufflevector <3 x float> %82, <3 x float> %83, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x float> %84, <3 x float>* %tmp, align 16
  %castToVec4155 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4156 = load <4 x float>, <4 x float>* %castToVec4155, align 16
  %extractVec157 = shufflevector <4 x float> %loadVec4156, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec157, i64 22, float addrspace(1)* %dest) #1
  %storetmp158 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp158, align 16
  %call159 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 23, float addrspace(1)* %source, i32 3) #1
  %call160 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call159) #1
  %85 = shufflevector <3 x float> %call160, <3 x float> undef, <2 x i32> <i32 0, i32 2>
  %86 = load <3 x float>, <3 x float>* %tmp, align 16
  %87 = shufflevector <2 x float> %85, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %88 = shufflevector <3 x float> %86, <3 x float> %87, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %88, <3 x float>* %tmp, align 16
  %castToVec4162 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4163 = load <4 x float>, <4 x float>* %castToVec4162, align 16
  %extractVec164 = shufflevector <4 x float> %loadVec4163, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec164, i64 23, float addrspace(1)* %dest) #1
  %storetmp165 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp165, align 16
  %call166 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 24, float addrspace(1)* %source, i32 3) #1
  %call167 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call166) #1
  %89 = shufflevector <3 x float> %call167, <3 x float> undef, <2 x i32> <i32 1, i32 2>
  %90 = load <3 x float>, <3 x float>* %tmp, align 16
  %91 = shufflevector <2 x float> %89, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %92 = shufflevector <3 x float> %90, <3 x float> %91, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %92, <3 x float>* %tmp, align 16
  %castToVec4169 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4170 = load <4 x float>, <4 x float>* %castToVec4169, align 16
  %extractVec171 = shufflevector <4 x float> %loadVec4170, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec171, i64 24, float addrspace(1)* %dest) #1
  %storetmp172 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp172, align 16
  %call173 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 25, float addrspace(1)* %source, i32 3) #1
  %call174 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call173) #1
  %93 = shufflevector <3 x float> %call174, <3 x float> undef, <2 x i32> zeroinitializer
  %94 = load <3 x float>, <3 x float>* %tmp, align 16
  %95 = shufflevector <2 x float> %93, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %96 = shufflevector <3 x float> %94, <3 x float> %95, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x float> %96, <3 x float>* %tmp, align 16
  %castToVec4176 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4177 = load <4 x float>, <4 x float>* %castToVec4176, align 16
  %extractVec178 = shufflevector <4 x float> %loadVec4177, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec178, i64 25, float addrspace(1)* %dest) #1
  %storetmp179 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp179, align 16
  %call180 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 26, float addrspace(1)* %source, i32 3) #1
  %call181 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call180) #1
  %97 = shufflevector <3 x float> %call181, <3 x float> undef, <2 x i32> zeroinitializer
  %98 = load <3 x float>, <3 x float>* %tmp, align 16
  %99 = shufflevector <2 x float> %97, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %100 = shufflevector <3 x float> %98, <3 x float> %99, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x float> %100, <3 x float>* %tmp, align 16
  %castToVec4183 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4184 = load <4 x float>, <4 x float>* %castToVec4183, align 16
  %extractVec185 = shufflevector <4 x float> %loadVec4184, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec185, i64 26, float addrspace(1)* %dest) #1
  %storetmp186 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp186, align 16
  %call187 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 27, float addrspace(1)* %source, i32 3) #1
  %call188 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call187) #1
  %101 = shufflevector <3 x float> %call188, <3 x float> undef, <2 x i32> <i32 1, i32 1>
  %102 = load <3 x float>, <3 x float>* %tmp, align 16
  %103 = shufflevector <2 x float> %101, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %104 = shufflevector <3 x float> %102, <3 x float> %103, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %104, <3 x float>* %tmp, align 16
  %castToVec4190 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4191 = load <4 x float>, <4 x float>* %castToVec4190, align 16
  %extractVec192 = shufflevector <4 x float> %loadVec4191, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec192, i64 27, float addrspace(1)* %dest) #1
  %storetmp193 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp193, align 16
  %call194 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 28, float addrspace(1)* %source, i32 3) #1
  %call195 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call194) #1
  %105 = shufflevector <3 x float> %call195, <3 x float> undef, <2 x i32> zeroinitializer
  %106 = load <3 x float>, <3 x float>* %tmp, align 16
  %107 = shufflevector <2 x float> %105, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %108 = shufflevector <3 x float> %106, <3 x float> %107, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x float> %108, <3 x float>* %tmp, align 16
  %castToVec4197 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4198 = load <4 x float>, <4 x float>* %castToVec4197, align 16
  %extractVec199 = shufflevector <4 x float> %loadVec4198, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec199, i64 28, float addrspace(1)* %dest) #1
  %storetmp200 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp200, align 16
  %call201 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 29, float addrspace(1)* %source, i32 3) #1
  %call202 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call201) #1
  %109 = shufflevector <3 x float> %call202, <3 x float> undef, <2 x i32> <i32 2, i32 1>
  %110 = load <3 x float>, <3 x float>* %tmp, align 16
  %111 = shufflevector <2 x float> %109, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %112 = shufflevector <3 x float> %110, <3 x float> %111, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x float> %112, <3 x float>* %tmp, align 16
  %castToVec4204 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4205 = load <4 x float>, <4 x float>* %castToVec4204, align 16
  %extractVec206 = shufflevector <4 x float> %loadVec4205, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec206, i64 29, float addrspace(1)* %dest) #1
  %storetmp207 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp207, align 16
  %call208 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 30, float addrspace(1)* %source, i32 3) #1
  %call209 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call208) #1
  %113 = shufflevector <3 x float> %call209, <3 x float> undef, <2 x i32> zeroinitializer
  %114 = load <3 x float>, <3 x float>* %tmp, align 16
  %115 = shufflevector <2 x float> %113, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %116 = shufflevector <3 x float> %114, <3 x float> %115, <3 x i32> <i32 3, i32 1, i32 4>
  store <3 x float> %116, <3 x float>* %tmp, align 16
  %castToVec4211 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4212 = load <4 x float>, <4 x float>* %castToVec4211, align 16
  %extractVec213 = shufflevector <4 x float> %loadVec4212, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec213, i64 30, float addrspace(1)* %dest) #1
  %storetmp214 = bitcast <3 x float>* %tmp to <4 x float>*
  store <4 x float> <float 0.000000e+00, float 0.000000e+00, float 0.000000e+00, float undef>, <4 x float>* %storetmp214, align 16
  %call215 = call spir_func <3 x float> @__builtin_spirv_OpenCL_vload3_i64_p1f32_i32(i64 31, float addrspace(1)* %source, i32 3) #1
  %call216 = call spir_func <3 x float> @shuffle_fn(<3 x float> %call215) #1
  %117 = shufflevector <3 x float> %call216, <3 x float> undef, <2 x i32> <i32 0, i32 1>
  %118 = load <3 x float>, <3 x float>* %tmp, align 16
  %119 = shufflevector <2 x float> %117, <2 x float> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %120 = shufflevector <3 x float> %118, <3 x float> %119, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x float> %120, <3 x float>* %tmp, align 16
  %castToVec4218 = bitcast <3 x float>* %tmp to <4 x float>*
  %loadVec4219 = load <4 x float>, <4 x float>* %castToVec4218, align 16
  %extractVec220 = shufflevector <4 x float> %loadVec4219, <4 x float> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @__builtin_spirv_OpenCL_vstore3_v3f32_i64_p1f32(<3 x float> %extractVec220, i64 31, float addrspace(1)* %dest) #1
  br label %121

121:                                              ; preds = %3, %2
  ret void
}

attributes #0 = { nounwind readnone }
attributes #1 = { nounwind }

!opencl.kernels = !{!0}
!IGCMetadata = !{!7}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!240}
!opencl.ocl.version = !{!240}
!opencl.used.extensions = !{!241}
!opencl.used.optional.core.features = !{!241}
!opencl.compiler.options = !{!242}

!0 = !{void (float addrspace(1)*, float addrspace(1)*)* @sample_test, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1}
!2 = !{!"kernel_arg_access_qual", !"none", !"none"}
!3 = !{!"kernel_arg_type", !"float*", !"float*"}
!4 = !{!"kernel_arg_type_qual", !"", !""}
!5 = !{!"kernel_arg_base_type", !"float*", !"float*"}
!6 = !{!"kernel_arg_name", !"source", !"dest"}
!7 = !{!"ModuleMD", !8, !9, !64, !121, !151, !167, !179, !189, !191, !192, !203, !204, !205, !206, !209, !210, !211, !212, !213, !214, !215, !216, !217, !218, !219, !220, !222, !226, !227, !228, !229, !230, !231, !108, !232, !233, !235, !238, !239}
!8 = !{!"isPrecise", i1 false}
!9 = !{!"compOpt", !10, !11, !12, !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63}
!10 = !{!"DenormsAreZero", i1 false}
!11 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!12 = !{!"OptDisable", i1 false}
!13 = !{!"MadEnable", i1 false}
!14 = !{!"NoSignedZeros", i1 false}
!15 = !{!"NoNaNs", i1 false}
!16 = !{!"FloatRoundingMode", i32 0}
!17 = !{!"FloatCvtIntRoundingMode", i32 3}
!18 = !{!"VISAPreSchedRPThreshold", i32 0}
!19 = !{!"SetLoopUnrollThreshold", i32 0}
!20 = !{!"UnsafeMathOptimizations", i1 false}
!21 = !{!"FiniteMathOnly", i1 false}
!22 = !{!"FastRelaxedMath", i1 false}
!23 = !{!"DashGSpecified", i1 false}
!24 = !{!"FastCompilation", i1 false}
!25 = !{!"UseScratchSpacePrivateMemory", i1 true}
!26 = !{!"RelaxedBuiltins", i1 false}
!27 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!28 = !{!"GreaterThan2GBBufferRequired", i1 true}
!29 = !{!"GreaterThan4GBBufferRequired", i1 true}
!30 = !{!"DisableA64WA", i1 false}
!31 = !{!"ForceEnableA64WA", i1 false}
!32 = !{!"PushConstantsEnable", i1 true}
!33 = !{!"HasPositivePointerOffset", i1 false}
!34 = !{!"HasBufferOffsetArg", i1 false}
!35 = !{!"BufferOffsetArgOptional", i1 true}
!36 = !{!"HasSubDWAlignedPtrArg", i1 false}
!37 = !{!"replaceGlobalOffsetsByZero", i1 false}
!38 = !{!"forcePixelShaderSIMDMode", i32 0}
!39 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!40 = !{!"UniformWGS", i1 false}
!41 = !{!"disableVertexComponentPacking", i1 false}
!42 = !{!"disablePartialVertexComponentPacking", i1 false}
!43 = !{!"PreferBindlessImages", i1 false}
!44 = !{!"UseBindlessMode", i1 false}
!45 = !{!"UseLegacyBindlessMode", i1 true}
!46 = !{!"disableMathRefactoring", i1 false}
!47 = !{!"atomicBranch", i1 false}
!48 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!49 = !{!"EnableFastestLinearScan", i1 false}
!50 = !{!"UseStatelessforPrivateMemory", i1 false}
!51 = !{!"EnableTakeGlobalAddress", i1 false}
!52 = !{!"IsLibraryCompilation", i1 false}
!53 = !{!"FastVISACompile", i1 false}
!54 = !{!"MatchSinCosPi", i1 false}
!55 = !{!"CaptureCompilerStats", i1 false}
!56 = !{!"EnableZEBinary", i1 false}
!57 = !{!"ExcludeIRFromZEBinary", i1 false}
!58 = !{!"allowDisableRematforCS", i1 false}
!59 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!60 = !{!"DisableCPSOmaskWA", i1 false}
!61 = !{!"DisableFastestGopt", i1 false}
!62 = !{!"WaForceHalfPromotion", i1 false}
!63 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!64 = !{!"FuncMD", !65, !66}
!65 = !{!"FuncMDMap[0]", void (float addrspace(1)*, float addrspace(1)*)* @sample_test}
!66 = !{!"FuncMDValue[0]", !67, !68, !72, !73, !74, !94, !100, !101, !102, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120}
!67 = !{!"localOffsets"}
!68 = !{!"workGroupWalkOrder", !69, !70, !71}
!69 = !{!"dim0", i32 0}
!70 = !{!"dim1", i32 0}
!71 = !{!"dim2", i32 0}
!72 = !{!"funcArgs"}
!73 = !{!"functionType", !"KernelFunction"}
!74 = !{!"rtInfo", !75, !76, !77, !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !93}
!75 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!76 = !{!"isContinuation", i1 false}
!77 = !{!"hasTraceRayPayload", i1 false}
!78 = !{!"hasHitAttributes", i1 false}
!79 = !{!"hasCallableData", i1 false}
!80 = !{!"ShaderStackSize", i32 0}
!81 = !{!"ShaderHash", i64 0}
!82 = !{!"ShaderName", !""}
!83 = !{!"ParentName", !""}
!84 = !{!"SlotNum", i1* null}
!85 = !{!"NOSSize", i32 0}
!86 = !{!"Entries"}
!87 = !{!"SpillUnions"}
!88 = !{!"CustomHitAttrSizeInBytes", i32 0}
!89 = !{!"Types", !90, !91, !92}
!90 = !{!"FrameStartTys"}
!91 = !{!"ArgumentTys"}
!92 = !{!"FullFrameTys"}
!93 = !{!"Aliases"}
!94 = !{!"resAllocMD", !95, !96, !97, !98, !99}
!95 = !{!"uavsNumType", i32 0}
!96 = !{!"srvsNumType", i32 0}
!97 = !{!"samplersNumType", i32 0}
!98 = !{!"argAllocMDList"}
!99 = !{!"inlineSamplersMD"}
!100 = !{!"maxByteOffsets"}
!101 = !{!"IsInitializer", i1 false}
!102 = !{!"IsFinalizer", i1 false}
!103 = !{!"CompiledSubGroupsNumber", i32 0}
!104 = !{!"hasInlineVmeSamplers", i1 false}
!105 = !{!"localSize", i32 0}
!106 = !{!"localIDPresent", i1 false}
!107 = !{!"groupIDPresent", i1 false}
!108 = !{!"privateMemoryPerWI", i32 0}
!109 = !{!"globalIDPresent", i1 false}
!110 = !{!"hasSyncRTCalls", i1 false}
!111 = !{!"hasNonKernelArgLoad", i1 false}
!112 = !{!"hasNonKernelArgStore", i1 false}
!113 = !{!"hasNonKernelArgAtomic", i1 false}
!114 = !{!"UserAnnotations"}
!115 = !{!"m_OpenCLArgAddressSpaces"}
!116 = !{!"m_OpenCLArgAccessQualifiers"}
!117 = !{!"m_OpenCLArgTypes"}
!118 = !{!"m_OpenCLArgBaseTypes"}
!119 = !{!"m_OpenCLArgTypeQualifiers"}
!120 = !{!"m_OpenCLArgNames"}
!121 = !{!"pushInfo", !122, !123, !124, !127, !128, !129, !130, !131, !132, !133, !134, !147, !148, !149, !150}
!122 = !{!"pushableAddresses"}
!123 = !{!"bindlessPushInfo"}
!124 = !{!"dynamicBufferInfo", !125, !126}
!125 = !{!"firstIndex", i32 0}
!126 = !{!"numOffsets", i32 0}
!127 = !{!"MaxNumberOfPushedBuffers", i32 0}
!128 = !{!"inlineConstantBufferSlot", i32 -1}
!129 = !{!"inlineConstantBufferOffset", i32 -1}
!130 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!131 = !{!"constants"}
!132 = !{!"inputs"}
!133 = !{!"constantReg"}
!134 = !{!"simplePushInfoArr", !135, !144, !145, !146}
!135 = !{!"simplePushInfoArrVec[0]", !136, !137, !138, !139, !140, !141, !142, !143}
!136 = !{!"cbIdx", i32 0}
!137 = !{!"pushableAddressGrfOffset", i32 -1}
!138 = !{!"pushableOffsetGrfOffset", i32 -1}
!139 = !{!"offset", i32 0}
!140 = !{!"size", i32 0}
!141 = !{!"isStateless", i1 false}
!142 = !{!"isBindless", i1 false}
!143 = !{!"simplePushLoads"}
!144 = !{!"simplePushInfoArrVec[1]", !136, !137, !138, !139, !140, !141, !142, !143}
!145 = !{!"simplePushInfoArrVec[2]", !136, !137, !138, !139, !140, !141, !142, !143}
!146 = !{!"simplePushInfoArrVec[3]", !136, !137, !138, !139, !140, !141, !142, !143}
!147 = !{!"simplePushBufferUsed", i32 0}
!148 = !{!"pushAnalysisWIInfos"}
!149 = !{!"inlineRTGlobalPtrOffset", i32 0}
!150 = !{!"rtSyncSurfPtrOffset", i32 0}
!151 = !{!"psInfo", !152, !153, !154, !155, !156, !157, !158, !159, !160, !161, !162, !163, !164, !165, !166}
!152 = !{!"BlendStateDisabledMask", i8 0}
!153 = !{!"SkipSrc0Alpha", i1 false}
!154 = !{!"DualSourceBlendingDisabled", i1 false}
!155 = !{!"ForceEnableSimd32", i1 false}
!156 = !{!"outputDepth", i1 false}
!157 = !{!"outputStencil", i1 false}
!158 = !{!"outputMask", i1 false}
!159 = !{!"blendToFillEnabled", i1 false}
!160 = !{!"forceEarlyZ", i1 false}
!161 = !{!"hasVersionedLoop", i1 false}
!162 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!163 = !{!"NumSamples", i8 0}
!164 = !{!"blendOptimizationMode"}
!165 = !{!"colorOutputMask"}
!166 = !{!"WaDisableVRS", i1 false}
!167 = !{!"csInfo", !168, !169, !170, !171, !172, !18, !19, !173, !174, !175, !176, !177, !47, !178}
!168 = !{!"maxWorkGroupSize", i32 0}
!169 = !{!"waveSize", i32 0}
!170 = !{!"ComputeShaderSecondCompile"}
!171 = !{!"forcedSIMDSize", i8 0}
!172 = !{!"forceTotalGRFNum", i32 0}
!173 = !{!"forcedVISAPreRAScheduler", i1 false}
!174 = !{!"disableLocalIdOrderOptimizations", i1 false}
!175 = !{!"disableDispatchAlongY", i1 false}
!176 = !{!"neededThreadIdLayout", i1* null}
!177 = !{!"forceTileYWalk", i1 false}
!178 = !{!"ResForHfPacking"}
!179 = !{!"msInfo", !180, !181, !182, !183, !184, !185, !186, !187, !188}
!180 = !{!"PrimitiveTopology", i32 3}
!181 = !{!"MaxNumOfPrimitives", i32 0}
!182 = !{!"MaxNumOfVertices", i32 0}
!183 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!184 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!185 = !{!"WorkGroupSize", i32 0}
!186 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!187 = !{!"IndexFormat", i32 6}
!188 = !{!"SubgroupSize", i32 0}
!189 = !{!"taskInfo", !190, !185, !186, !188}
!190 = !{!"MaxNumOfOutputs", i32 0}
!191 = !{!"NBarrierCnt", i32 0}
!192 = !{!"rtInfo", !193, !194, !195, !196, !197, !198, !199, !200, !201, !202}
!193 = !{!"RayQueryAllocSizeInBytes", i32 0}
!194 = !{!"NumContinuations", i32 -1}
!195 = !{!"RTAsyncStackAddrspace", i32 -1}
!196 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!197 = !{!"SWHotZoneAddrspace", i32 -1}
!198 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!199 = !{!"SWStackAddrspace", i32 -1}
!200 = !{!"SWStackSurfaceStateOffset", i1* null}
!201 = !{!"RTSyncStackAddrspace", i32 -1}
!202 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!203 = !{!"CurUniqueIndirectIdx", i32 0}
!204 = !{!"inlineDynTextures"}
!205 = !{!"inlineResInfoData"}
!206 = !{!"immConstant", !207, !208}
!207 = !{!"data"}
!208 = !{!"sizes"}
!209 = !{!"inlineConstantBuffers"}
!210 = !{!"inlineGlobalBuffers"}
!211 = !{!"GlobalPointerProgramBinaryInfos"}
!212 = !{!"ConstantPointerProgramBinaryInfos"}
!213 = !{!"GlobalBufferAddressRelocInfo"}
!214 = !{!"ConstantBufferAddressRelocInfo"}
!215 = !{!"forceLscCacheList"}
!216 = !{!"SrvMap"}
!217 = !{!"RasterizerOrderedByteAddressBuffer"}
!218 = !{!"MinNOSPushConstantSize", i32 0}
!219 = !{!"inlineProgramScopeOffsets"}
!220 = !{!"shaderData", !221}
!221 = !{!"numReplicas", i32 0}
!222 = !{!"URBInfo", !223, !224, !225}
!223 = !{!"has64BVertexHeaderInput", i1 false}
!224 = !{!"has64BVertexHeaderOutput", i1 false}
!225 = !{!"hasVertexHeader", i1 true}
!226 = !{!"UseBindlessImage", i1 false}
!227 = !{!"enableRangeReduce", i1 false}
!228 = !{!"allowMatchMadOptimizationforVS", i1 false}
!229 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!230 = !{!"statefulResourcesNotAliased", i1 false}
!231 = !{!"disableMixMode", i1 false}
!232 = !{!"PrivateMemoryPerFG"}
!233 = !{!"capabilities", !234}
!234 = !{!"globalVariableDecorationsINTEL", i1 false}
!235 = !{!"m_ShaderResourceViewMcsMask", !236, !237}
!236 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!237 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!238 = !{!"computedDepthMode", i32 0}
!239 = !{!"isHDCFastClearShader", i1 false}
!240 = !{i32 3, i32 0}
!241 = !{}
!242 = !{!"-cl-std=CL3.0"}
