target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

; Function Attrs: nounwind
define spir_func <3 x double> @shuffle_fn(<3 x double> %source) #0 {
entry:
  %source.addr = alloca <3 x double>, align 32
  %extractVec = shufflevector <3 x double> %source, <3 x double> undef, <4 x i32> <i32 0, i32 1, i32 2, i32 undef>
  %storetmp = bitcast <3 x double>* %source.addr to <4 x double>*
  store <4 x double> %extractVec, <4 x double>* %storetmp, align 32
  %castToVec4 = bitcast <3 x double>* %source.addr to <4 x double>*
  %loadVec4 = load <4 x double>, <4 x double>* %castToVec4, align 32
  %extractVec1 = shufflevector <4 x double> %loadVec4, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  ret <3 x double> %extractVec1
}

; Function Attrs: nounwind
define spir_kernel void @sample_test(double addrspace(1)* %source, double addrspace(1)* %dest) #0 {
entry:
  %tmp = alloca <3 x double>, align 32
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #2
  %call = extractelement <3 x i64> %0, i32 0
  %cmp = icmp ne i64 %call, 0
  br i1 %cmp, label %if.then, label %if.end

if.then:                                          ; preds = %entry
  br label %return

if.end:                                           ; preds = %entry
  %1 = bitcast <3 x double>* %tmp to i8*
  %2 = bitcast i8* %1 to i8*
  call void @llvm.lifetime.start.p0i8(i64 32, i8* %2)
  %storetmp = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp, align 32
  %call1 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 0, double addrspace(1)* %source, i32 3) #0
  %call2 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call1) #0
  %3 = extractelement <3 x double> %call2, i32 2
  %4 = load <3 x double>, <3 x double>* %tmp, align 32
  %5 = insertelement <3 x double> %4, double %3, i32 0
  store <3 x double> %5, <3 x double>* %tmp, align 32
  %castToVec4 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4 = load <4 x double>, <4 x double>* %castToVec4, align 32
  %extractVec = shufflevector <4 x double> %loadVec4, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec, i64 0, double addrspace(1)* %dest) #0
  %storetmp4 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp4, align 32
  %call5 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 1, double addrspace(1)* %source, i32 3) #0
  %call6 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call5) #0
  %6 = extractelement <3 x double> %call6, i32 2
  %7 = load <3 x double>, <3 x double>* %tmp, align 32
  %8 = insertelement <3 x double> %7, double %6, i32 0
  store <3 x double> %8, <3 x double>* %tmp, align 32
  %castToVec48 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec49 = load <4 x double>, <4 x double>* %castToVec48, align 32
  %extractVec10 = shufflevector <4 x double> %loadVec49, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec10, i64 1, double addrspace(1)* %dest) #0
  %storetmp11 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp11, align 32
  %call12 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 2, double addrspace(1)* %source, i32 3) #0
  %call13 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call12) #0
  %9 = extractelement <3 x double> %call13, i32 1
  %10 = load <3 x double>, <3 x double>* %tmp, align 32
  %11 = insertelement <3 x double> %10, double %9, i32 1
  store <3 x double> %11, <3 x double>* %tmp, align 32
  %castToVec415 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec416 = load <4 x double>, <4 x double>* %castToVec415, align 32
  %extractVec17 = shufflevector <4 x double> %loadVec416, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec17, i64 2, double addrspace(1)* %dest) #0
  %storetmp18 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp18, align 32
  %call19 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 3, double addrspace(1)* %source, i32 3) #0
  %call20 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call19) #0
  %12 = extractelement <3 x double> %call20, i32 2
  %13 = load <3 x double>, <3 x double>* %tmp, align 32
  %14 = insertelement <3 x double> %13, double %12, i32 1
  store <3 x double> %14, <3 x double>* %tmp, align 32
  %castToVec422 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec423 = load <4 x double>, <4 x double>* %castToVec422, align 32
  %extractVec24 = shufflevector <4 x double> %loadVec423, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec24, i64 3, double addrspace(1)* %dest) #0
  %storetmp25 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp25, align 32
  %call26 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 4, double addrspace(1)* %source, i32 3) #0
  %call27 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call26) #0
  %15 = extractelement <3 x double> %call27, i32 0
  %16 = load <3 x double>, <3 x double>* %tmp, align 32
  %17 = insertelement <3 x double> %16, double %15, i32 1
  store <3 x double> %17, <3 x double>* %tmp, align 32
  %castToVec429 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec430 = load <4 x double>, <4 x double>* %castToVec429, align 32
  %extractVec31 = shufflevector <4 x double> %loadVec430, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec31, i64 4, double addrspace(1)* %dest) #0
  %storetmp32 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp32, align 32
  %call33 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 5, double addrspace(1)* %source, i32 3) #0
  %call34 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call33) #0
  %18 = extractelement <3 x double> %call34, i32 0
  %19 = load <3 x double>, <3 x double>* %tmp, align 32
  %20 = insertelement <3 x double> %19, double %18, i32 0
  store <3 x double> %20, <3 x double>* %tmp, align 32
  %castToVec436 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec437 = load <4 x double>, <4 x double>* %castToVec436, align 32
  %extractVec38 = shufflevector <4 x double> %loadVec437, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec38, i64 5, double addrspace(1)* %dest) #0
  %storetmp39 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp39, align 32
  %call40 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 6, double addrspace(1)* %source, i32 3) #0
  %call41 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call40) #0
  %21 = extractelement <3 x double> %call41, i32 2
  %22 = load <3 x double>, <3 x double>* %tmp, align 32
  %23 = insertelement <3 x double> %22, double %21, i32 2
  store <3 x double> %23, <3 x double>* %tmp, align 32
  %castToVec443 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec444 = load <4 x double>, <4 x double>* %castToVec443, align 32
  %extractVec45 = shufflevector <4 x double> %loadVec444, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec45, i64 6, double addrspace(1)* %dest) #0
  %storetmp46 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp46, align 32
  %call47 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 7, double addrspace(1)* %source, i32 3) #0
  %call48 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call47) #0
  %24 = extractelement <3 x double> %call48, i32 1
  %25 = load <3 x double>, <3 x double>* %tmp, align 32
  %26 = insertelement <3 x double> %25, double %24, i32 0
  store <3 x double> %26, <3 x double>* %tmp, align 32
  %castToVec450 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec451 = load <4 x double>, <4 x double>* %castToVec450, align 32
  %extractVec52 = shufflevector <4 x double> %loadVec451, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec52, i64 7, double addrspace(1)* %dest) #0
  %storetmp53 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp53, align 32
  %call54 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 8, double addrspace(1)* %source, i32 3) #0
  %call55 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call54) #0
  %27 = extractelement <3 x double> %call55, i32 0
  %28 = load <3 x double>, <3 x double>* %tmp, align 32
  %29 = insertelement <3 x double> %28, double %27, i32 0
  store <3 x double> %29, <3 x double>* %tmp, align 32
  %castToVec457 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec458 = load <4 x double>, <4 x double>* %castToVec457, align 32
  %extractVec59 = shufflevector <4 x double> %loadVec458, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec59, i64 8, double addrspace(1)* %dest) #0
  %storetmp60 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp60, align 32
  %call61 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 9, double addrspace(1)* %source, i32 3) #0
  %call62 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call61) #0
  %30 = extractelement <3 x double> %call62, i32 2
  %31 = load <3 x double>, <3 x double>* %tmp, align 32
  %32 = insertelement <3 x double> %31, double %30, i32 0
  store <3 x double> %32, <3 x double>* %tmp, align 32
  %castToVec464 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec465 = load <4 x double>, <4 x double>* %castToVec464, align 32
  %extractVec66 = shufflevector <4 x double> %loadVec465, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec66, i64 9, double addrspace(1)* %dest) #0
  %storetmp67 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp67, align 32
  %call68 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 10, double addrspace(1)* %source, i32 3) #0
  %call69 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call68) #0
  %33 = extractelement <3 x double> %call69, i32 1
  %34 = load <3 x double>, <3 x double>* %tmp, align 32
  %35 = insertelement <3 x double> %34, double %33, i32 0
  store <3 x double> %35, <3 x double>* %tmp, align 32
  %castToVec471 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec472 = load <4 x double>, <4 x double>* %castToVec471, align 32
  %extractVec73 = shufflevector <4 x double> %loadVec472, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec73, i64 10, double addrspace(1)* %dest) #0
  %storetmp74 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp74, align 32
  %call75 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 11, double addrspace(1)* %source, i32 3) #0
  %call76 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call75) #0
  %36 = shufflevector <3 x double> %call76, <3 x double> undef, <2 x i32> <i32 2, i32 2>
  %37 = load <3 x double>, <3 x double>* %tmp, align 32
  %38 = shufflevector <2 x double> %36, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %39 = shufflevector <3 x double> %37, <3 x double> %38, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %39, <3 x double>* %tmp, align 32
  %castToVec478 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec479 = load <4 x double>, <4 x double>* %castToVec478, align 32
  %extractVec80 = shufflevector <4 x double> %loadVec479, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec80, i64 11, double addrspace(1)* %dest) #0
  %storetmp81 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp81, align 32
  %call82 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 12, double addrspace(1)* %source, i32 3) #0
  %call83 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call82) #0
  %40 = shufflevector <3 x double> %call83, <3 x double> undef, <2 x i32> <i32 1, i32 1>
  %41 = load <3 x double>, <3 x double>* %tmp, align 32
  %42 = shufflevector <2 x double> %40, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %43 = shufflevector <3 x double> %41, <3 x double> %42, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %43, <3 x double>* %tmp, align 32
  %castToVec485 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec486 = load <4 x double>, <4 x double>* %castToVec485, align 32
  %extractVec87 = shufflevector <4 x double> %loadVec486, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec87, i64 12, double addrspace(1)* %dest) #0
  %storetmp88 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp88, align 32
  %call89 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 13, double addrspace(1)* %source, i32 3) #0
  %call90 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call89) #0
  %44 = shufflevector <3 x double> %call90, <3 x double> undef, <2 x i32> <i32 2, i32 1>
  %45 = load <3 x double>, <3 x double>* %tmp, align 32
  %46 = shufflevector <2 x double> %44, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %47 = shufflevector <3 x double> %45, <3 x double> %46, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %47, <3 x double>* %tmp, align 32
  %castToVec492 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec493 = load <4 x double>, <4 x double>* %castToVec492, align 32
  %extractVec94 = shufflevector <4 x double> %loadVec493, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec94, i64 13, double addrspace(1)* %dest) #0
  %storetmp95 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp95, align 32
  %call96 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 14, double addrspace(1)* %source, i32 3) #0
  %call97 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call96) #0
  %48 = shufflevector <3 x double> %call97, <3 x double> undef, <2 x i32> <i32 0, i32 1>
  %49 = load <3 x double>, <3 x double>* %tmp, align 32
  %50 = shufflevector <2 x double> %48, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %51 = shufflevector <3 x double> %49, <3 x double> %50, <3 x i32> <i32 3, i32 4, i32 2>
  store <3 x double> %51, <3 x double>* %tmp, align 32
  %castToVec499 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4100 = load <4 x double>, <4 x double>* %castToVec499, align 32
  %extractVec101 = shufflevector <4 x double> %loadVec4100, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec101, i64 14, double addrspace(1)* %dest) #0
  %storetmp102 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp102, align 32
  %call103 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 15, double addrspace(1)* %source, i32 3) #0
  %call104 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call103) #0
  %52 = shufflevector <3 x double> %call104, <3 x double> undef, <2 x i32> <i32 1, i32 2>
  %53 = load <3 x double>, <3 x double>* %tmp, align 32
  %54 = shufflevector <2 x double> %52, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %55 = shufflevector <3 x double> %53, <3 x double> %54, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x double> %55, <3 x double>* %tmp, align 32
  %castToVec4106 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4107 = load <4 x double>, <4 x double>* %castToVec4106, align 32
  %extractVec108 = shufflevector <4 x double> %loadVec4107, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec108, i64 15, double addrspace(1)* %dest) #0
  %storetmp109 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp109, align 32
  %call110 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 16, double addrspace(1)* %source, i32 3) #0
  %call111 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call110) #0
  %56 = shufflevector <3 x double> %call111, <3 x double> undef, <2 x i32> <i32 0, i32 2>
  %57 = load <3 x double>, <3 x double>* %tmp, align 32
  %58 = shufflevector <2 x double> %56, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %59 = shufflevector <3 x double> %57, <3 x double> %58, <3 x i32> <i32 3, i32 1, i32 4>
  store <3 x double> %59, <3 x double>* %tmp, align 32
  %castToVec4113 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4114 = load <4 x double>, <4 x double>* %castToVec4113, align 32
  %extractVec115 = shufflevector <4 x double> %loadVec4114, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec115, i64 16, double addrspace(1)* %dest) #0
  %storetmp116 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp116, align 32
  %call117 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 17, double addrspace(1)* %source, i32 3) #0
  %call118 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call117) #0
  %60 = shufflevector <3 x double> %call118, <3 x double> undef, <2 x i32> <i32 2, i32 0>
  %61 = load <3 x double>, <3 x double>* %tmp, align 32
  %62 = shufflevector <2 x double> %60, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %63 = shufflevector <3 x double> %61, <3 x double> %62, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %63, <3 x double>* %tmp, align 32
  %castToVec4120 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4121 = load <4 x double>, <4 x double>* %castToVec4120, align 32
  %extractVec122 = shufflevector <4 x double> %loadVec4121, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec122, i64 17, double addrspace(1)* %dest) #0
  %storetmp123 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp123, align 32
  %call124 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 18, double addrspace(1)* %source, i32 3) #0
  %call125 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call124) #0
  %64 = shufflevector <3 x double> %call125, <3 x double> undef, <2 x i32> <i32 1, i32 1>
  %65 = load <3 x double>, <3 x double>* %tmp, align 32
  %66 = shufflevector <2 x double> %64, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %67 = shufflevector <3 x double> %65, <3 x double> %66, <3 x i32> <i32 3, i32 1, i32 4>
  store <3 x double> %67, <3 x double>* %tmp, align 32
  %castToVec4127 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4128 = load <4 x double>, <4 x double>* %castToVec4127, align 32
  %extractVec129 = shufflevector <4 x double> %loadVec4128, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec129, i64 18, double addrspace(1)* %dest) #0
  %storetmp130 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp130, align 32
  %call131 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 19, double addrspace(1)* %source, i32 3) #0
  %call132 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call131) #0
  %68 = shufflevector <3 x double> %call132, <3 x double> undef, <2 x i32> <i32 2, i32 0>
  %69 = load <3 x double>, <3 x double>* %tmp, align 32
  %70 = shufflevector <2 x double> %68, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %71 = shufflevector <3 x double> %69, <3 x double> %70, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x double> %71, <3 x double>* %tmp, align 32
  %castToVec4134 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4135 = load <4 x double>, <4 x double>* %castToVec4134, align 32
  %extractVec136 = shufflevector <4 x double> %loadVec4135, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec136, i64 19, double addrspace(1)* %dest) #0
  %storetmp137 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp137, align 32
  %call138 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 20, double addrspace(1)* %source, i32 3) #0
  %call139 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call138) #0
  %72 = shufflevector <3 x double> %call139, <3 x double> undef, <2 x i32> <i32 2, i32 1>
  %73 = load <3 x double>, <3 x double>* %tmp, align 32
  %74 = shufflevector <2 x double> %72, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %75 = shufflevector <3 x double> %73, <3 x double> %74, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x double> %75, <3 x double>* %tmp, align 32
  %castToVec4141 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4142 = load <4 x double>, <4 x double>* %castToVec4141, align 32
  %extractVec143 = shufflevector <4 x double> %loadVec4142, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec143, i64 20, double addrspace(1)* %dest) #0
  %storetmp144 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp144, align 32
  %call145 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 21, double addrspace(1)* %source, i32 3) #0
  %call146 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call145) #0
  %76 = shufflevector <3 x double> %call146, <3 x double> undef, <2 x i32> <i32 1, i32 1>
  %77 = load <3 x double>, <3 x double>* %tmp, align 32
  %78 = shufflevector <2 x double> %76, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %79 = shufflevector <3 x double> %77, <3 x double> %78, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x double> %79, <3 x double>* %tmp, align 32
  %castToVec4148 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4149 = load <4 x double>, <4 x double>* %castToVec4148, align 32
  %extractVec150 = shufflevector <4 x double> %loadVec4149, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec150, i64 21, double addrspace(1)* %dest) #0
  %storetmp151 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp151, align 32
  %call152 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 22, double addrspace(1)* %source, i32 3) #0
  %call153 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call152) #0
  %80 = shufflevector <3 x double> %call153, <3 x double> undef, <2 x i32> <i32 1, i32 0>
  %81 = load <3 x double>, <3 x double>* %tmp, align 32
  %82 = shufflevector <2 x double> %80, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %83 = shufflevector <3 x double> %81, <3 x double> %82, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x double> %83, <3 x double>* %tmp, align 32
  %castToVec4155 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4156 = load <4 x double>, <4 x double>* %castToVec4155, align 32
  %extractVec157 = shufflevector <4 x double> %loadVec4156, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec157, i64 22, double addrspace(1)* %dest) #0
  %storetmp158 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp158, align 32
  %call159 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 23, double addrspace(1)* %source, i32 3) #0
  %call160 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call159) #0
  %84 = shufflevector <3 x double> %call160, <3 x double> undef, <2 x i32> <i32 1, i32 1>
  %85 = load <3 x double>, <3 x double>* %tmp, align 32
  %86 = shufflevector <2 x double> %84, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %87 = shufflevector <3 x double> %85, <3 x double> %86, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %87, <3 x double>* %tmp, align 32
  %castToVec4162 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4163 = load <4 x double>, <4 x double>* %castToVec4162, align 32
  %extractVec164 = shufflevector <4 x double> %loadVec4163, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec164, i64 23, double addrspace(1)* %dest) #0
  %storetmp165 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp165, align 32
  %call166 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 24, double addrspace(1)* %source, i32 3) #0
  %call167 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call166) #0
  %88 = shufflevector <3 x double> %call167, <3 x double> undef, <2 x i32> <i32 1, i32 2>
  %89 = load <3 x double>, <3 x double>* %tmp, align 32
  %90 = shufflevector <2 x double> %88, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %91 = shufflevector <3 x double> %89, <3 x double> %90, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x double> %91, <3 x double>* %tmp, align 32
  %castToVec4169 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4170 = load <4 x double>, <4 x double>* %castToVec4169, align 32
  %extractVec171 = shufflevector <4 x double> %loadVec4170, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec171, i64 24, double addrspace(1)* %dest) #0
  %storetmp172 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp172, align 32
  %call173 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 25, double addrspace(1)* %source, i32 3) #0
  %call174 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call173) #0
  %92 = shufflevector <3 x double> %call174, <3 x double> undef, <2 x i32> <i32 2, i32 2>
  %93 = load <3 x double>, <3 x double>* %tmp, align 32
  %94 = shufflevector <2 x double> %92, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %95 = shufflevector <3 x double> %93, <3 x double> %94, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x double> %95, <3 x double>* %tmp, align 32
  %castToVec4176 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4177 = load <4 x double>, <4 x double>* %castToVec4176, align 32
  %extractVec178 = shufflevector <4 x double> %loadVec4177, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec178, i64 25, double addrspace(1)* %dest) #0
  %storetmp179 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp179, align 32
  %call180 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 26, double addrspace(1)* %source, i32 3) #0
  %call181 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call180) #0
  %96 = shufflevector <3 x double> %call181, <3 x double> undef, <2 x i32> <i32 2, i32 2>
  %97 = load <3 x double>, <3 x double>* %tmp, align 32
  %98 = shufflevector <2 x double> %96, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %99 = shufflevector <3 x double> %97, <3 x double> %98, <3 x i32> <i32 0, i32 3, i32 4>
  store <3 x double> %99, <3 x double>* %tmp, align 32
  %castToVec4183 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4184 = load <4 x double>, <4 x double>* %castToVec4183, align 32
  %extractVec185 = shufflevector <4 x double> %loadVec4184, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec185, i64 26, double addrspace(1)* %dest) #0
  %storetmp186 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp186, align 32
  %call187 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 27, double addrspace(1)* %source, i32 3) #0
  %call188 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call187) #0
  %100 = shufflevector <3 x double> %call188, <3 x double> undef, <2 x i32> <i32 1, i32 1>
  %101 = load <3 x double>, <3 x double>* %tmp, align 32
  %102 = shufflevector <2 x double> %100, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %103 = shufflevector <3 x double> %101, <3 x double> %102, <3 x i32> <i32 0, i32 4, i32 3>
  store <3 x double> %103, <3 x double>* %tmp, align 32
  %castToVec4190 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4191 = load <4 x double>, <4 x double>* %castToVec4190, align 32
  %extractVec192 = shufflevector <4 x double> %loadVec4191, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec192, i64 27, double addrspace(1)* %dest) #0
  %storetmp193 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp193, align 32
  %call194 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 28, double addrspace(1)* %source, i32 3) #0
  %call195 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call194) #0
  %104 = shufflevector <3 x double> %call195, <3 x double> undef, <2 x i32> zeroinitializer
  %105 = load <3 x double>, <3 x double>* %tmp, align 32
  %106 = shufflevector <2 x double> %104, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %107 = shufflevector <3 x double> %105, <3 x double> %106, <3 x i32> <i32 4, i32 3, i32 2>
  store <3 x double> %107, <3 x double>* %tmp, align 32
  %castToVec4197 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4198 = load <4 x double>, <4 x double>* %castToVec4197, align 32
  %extractVec199 = shufflevector <4 x double> %loadVec4198, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec199, i64 28, double addrspace(1)* %dest) #0
  %storetmp200 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp200, align 32
  %call201 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 29, double addrspace(1)* %source, i32 3) #0
  %call202 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call201) #0
  %108 = shufflevector <3 x double> %call202, <3 x double> undef, <2 x i32> zeroinitializer
  %109 = load <3 x double>, <3 x double>* %tmp, align 32
  %110 = shufflevector <2 x double> %108, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %111 = shufflevector <3 x double> %109, <3 x double> %110, <3 x i32> <i32 3, i32 1, i32 4>
  store <3 x double> %111, <3 x double>* %tmp, align 32
  %castToVec4204 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4205 = load <4 x double>, <4 x double>* %castToVec4204, align 32
  %extractVec206 = shufflevector <4 x double> %loadVec4205, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec206, i64 29, double addrspace(1)* %dest) #0
  %storetmp207 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp207, align 32
  %call208 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 30, double addrspace(1)* %source, i32 3) #0
  %call209 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call208) #0
  %112 = shufflevector <3 x double> %call209, <3 x double> undef, <2 x i32> <i32 1, i32 2>
  %113 = load <3 x double>, <3 x double>* %tmp, align 32
  %114 = shufflevector <2 x double> %112, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %115 = shufflevector <3 x double> %113, <3 x double> %114, <3 x i32> <i32 4, i32 1, i32 3>
  store <3 x double> %115, <3 x double>* %tmp, align 32
  %castToVec4211 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4212 = load <4 x double>, <4 x double>* %castToVec4211, align 32
  %extractVec213 = shufflevector <4 x double> %loadVec4212, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec213, i64 30, double addrspace(1)* %dest) #0
  %storetmp214 = bitcast <3 x double>* %tmp to <4 x double>*
  store <4 x double> <double 0.000000e+00, double 0.000000e+00, double 0.000000e+00, double undef>, <4 x double>* %storetmp214, align 32
  %call215 = call spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64 31, double addrspace(1)* %source, i32 3) #0
  %call216 = call spir_func <3 x double> @shuffle_fn(<3 x double> %call215) #0
  %116 = shufflevector <3 x double> %call216, <3 x double> undef, <2 x i32> <i32 2, i32 2>
  %117 = load <3 x double>, <3 x double>* %tmp, align 32
  %118 = shufflevector <2 x double> %116, <2 x double> undef, <3 x i32> <i32 0, i32 1, i32 undef>
  %119 = shufflevector <3 x double> %117, <3 x double> %118, <3 x i32> <i32 3, i32 4, i32 2>
  store <3 x double> %119, <3 x double>* %tmp, align 32
  %castToVec4218 = bitcast <3 x double>* %tmp to <4 x double>*
  %loadVec4219 = load <4 x double>, <4 x double>* %castToVec4218, align 32
  %extractVec220 = shufflevector <4 x double> %loadVec4219, <4 x double> undef, <3 x i32> <i32 0, i32 1, i32 2>
  call spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double> %extractVec220, i64 31, double addrspace(1)* %dest) #0
  %120 = bitcast <3 x double>* %tmp to i8*
  %121 = bitcast i8* %120 to i8*
  call void @llvm.lifetime.end.p0i8(i64 32, i8* %121)
  br label %return

return:                                           ; preds = %if.end, %if.then
  ret void
}

; Function Attrs: argmemonly nounwind willreturn
declare void @llvm.lifetime.start.p0i8(i64 immarg, i8* nocapture) #1

; Function Attrs: nounwind
declare spir_func <3 x double> @OpenCL_vload3_i64_p1f64_i32(i64, double addrspace(1)*, i32) #0

; Function Attrs: nounwind
declare spir_func void @OpenCL_vstore3_v3f64_i64_p1f64(<3 x double>, i64, double addrspace(1)*) #0

; Function Attrs: argmemonly nounwind willreturn
declare void @llvm.lifetime.end.p0i8(i64 immarg, i8* nocapture) #1

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalInvocationId() #2

attributes #0 = { nounwind }
attributes #1 = { argmemonly nounwind willreturn }
attributes #2 = { nounwind readnone }

!opencl.kernels = !{!0}
!IGCMetadata = !{!7}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!240}
!opencl.ocl.version = !{!240}
!opencl.used.extensions = !{!241}
!opencl.used.optional.core.features = !{!242}
!opencl.compiler.options = !{!243}

!0 = !{void (double addrspace(1)*, double addrspace(1)*)* @sample_test, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1, i32 1}
!2 = !{!"kernel_arg_access_qual", !"none", !"none"}
!3 = !{!"kernel_arg_type", !"double*", !"double*"}
!4 = !{!"kernel_arg_type_qual", !"", !""}
!5 = !{!"kernel_arg_base_type", !"double*", !"double*"}
!6 = !{!"kernel_arg_name", !"source", !"dest"}
!7 = !{!"ModuleMD", !8, !9, !64, !121, !151, !167, !179, !189, !191, !192, !203, !204, !205, !206, !209, !210, !211, !212, !213, !214, !215, !216, !217, !218, !219, !220, !222, !226, !227, !228, !229, !230, !231, !108, !232, !233, !235, !238, !239}
!8 = !{!"isPrecise", i1 false}
!9 = !{!"compOpt", !10, !11, !12, !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63}
!10 = !{!"DenormsAreZero", i1 false}
!11 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!12 = !{!"OptDisable", i1 false}
!13 = !{!"MadEnable", i1 false}
!14 = !{!"NoSignedZeros", i1 false}
!15 = !{!"NoNaNs", i1 false}
!16 = !{!"FloatRoundingMode", i32 0}
!17 = !{!"FloatCvtIntRoundingMode", i32 3}
!18 = !{!"VISAPreSchedRPThreshold", i32 0}
!19 = !{!"SetLoopUnrollThreshold", i32 0}
!20 = !{!"UnsafeMathOptimizations", i1 false}
!21 = !{!"FiniteMathOnly", i1 false}
!22 = !{!"FastRelaxedMath", i1 false}
!23 = !{!"DashGSpecified", i1 false}
!24 = !{!"FastCompilation", i1 false}
!25 = !{!"UseScratchSpacePrivateMemory", i1 true}
!26 = !{!"RelaxedBuiltins", i1 false}
!27 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!28 = !{!"GreaterThan2GBBufferRequired", i1 true}
!29 = !{!"GreaterThan4GBBufferRequired", i1 true}
!30 = !{!"DisableA64WA", i1 false}
!31 = !{!"ForceEnableA64WA", i1 false}
!32 = !{!"PushConstantsEnable", i1 true}
!33 = !{!"HasPositivePointerOffset", i1 false}
!34 = !{!"HasBufferOffsetArg", i1 false}
!35 = !{!"BufferOffsetArgOptional", i1 true}
!36 = !{!"HasSubDWAlignedPtrArg", i1 false}
!37 = !{!"replaceGlobalOffsetsByZero", i1 false}
!38 = !{!"forcePixelShaderSIMDMode", i32 0}
!39 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!40 = !{!"UniformWGS", i1 false}
!41 = !{!"disableVertexComponentPacking", i1 false}
!42 = !{!"disablePartialVertexComponentPacking", i1 false}
!43 = !{!"PreferBindlessImages", i1 false}
!44 = !{!"UseBindlessMode", i1 false}
!45 = !{!"UseLegacyBindlessMode", i1 true}
!46 = !{!"disableMathRefactoring", i1 false}
!47 = !{!"atomicBranch", i1 false}
!48 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!49 = !{!"EnableFastestLinearScan", i1 false}
!50 = !{!"UseStatelessforPrivateMemory", i1 false}
!51 = !{!"EnableTakeGlobalAddress", i1 false}
!52 = !{!"IsLibraryCompilation", i1 false}
!53 = !{!"FastVISACompile", i1 false}
!54 = !{!"MatchSinCosPi", i1 false}
!55 = !{!"CaptureCompilerStats", i1 false}
!56 = !{!"EnableZEBinary", i1 false}
!57 = !{!"ExcludeIRFromZEBinary", i1 false}
!58 = !{!"allowDisableRematforCS", i1 false}
!59 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!60 = !{!"DisableCPSOmaskWA", i1 false}
!61 = !{!"DisableFastestGopt", i1 false}
!62 = !{!"WaForceHalfPromotion", i1 false}
!63 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!64 = !{!"FuncMD", !65, !66}
!65 = !{!"FuncMDMap[0]", void (double addrspace(1)*, double addrspace(1)*)* @sample_test}
!66 = !{!"FuncMDValue[0]", !67, !68, !72, !73, !74, !94, !100, !101, !102, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120}
!67 = !{!"localOffsets"}
!68 = !{!"workGroupWalkOrder", !69, !70, !71}
!69 = !{!"dim0", i32 0}
!70 = !{!"dim1", i32 0}
!71 = !{!"dim2", i32 0}
!72 = !{!"funcArgs"}
!73 = !{!"functionType", !"KernelFunction"}
!74 = !{!"rtInfo", !75, !76, !77, !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !93}
!75 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!76 = !{!"isContinuation", i1 false}
!77 = !{!"hasTraceRayPayload", i1 false}
!78 = !{!"hasHitAttributes", i1 false}
!79 = !{!"hasCallableData", i1 false}
!80 = !{!"ShaderStackSize", i32 0}
!81 = !{!"ShaderHash", i64 0}
!82 = !{!"ShaderName", !""}
!83 = !{!"ParentName", !""}
!84 = !{!"SlotNum", i1* null}
!85 = !{!"NOSSize", i32 0}
!86 = !{!"Entries"}
!87 = !{!"SpillUnions"}
!88 = !{!"CustomHitAttrSizeInBytes", i32 0}
!89 = !{!"Types", !90, !91, !92}
!90 = !{!"FrameStartTys"}
!91 = !{!"ArgumentTys"}
!92 = !{!"FullFrameTys"}
!93 = !{!"Aliases"}
!94 = !{!"resAllocMD", !95, !96, !97, !98, !99}
!95 = !{!"uavsNumType", i32 0}
!96 = !{!"srvsNumType", i32 0}
!97 = !{!"samplersNumType", i32 0}
!98 = !{!"argAllocMDList"}
!99 = !{!"inlineSamplersMD"}
!100 = !{!"maxByteOffsets"}
!101 = !{!"IsInitializer", i1 false}
!102 = !{!"IsFinalizer", i1 false}
!103 = !{!"CompiledSubGroupsNumber", i32 0}
!104 = !{!"hasInlineVmeSamplers", i1 false}
!105 = !{!"localSize", i32 0}
!106 = !{!"localIDPresent", i1 false}
!107 = !{!"groupIDPresent", i1 false}
!108 = !{!"privateMemoryPerWI", i32 0}
!109 = !{!"globalIDPresent", i1 false}
!110 = !{!"hasSyncRTCalls", i1 false}
!111 = !{!"hasNonKernelArgLoad", i1 false}
!112 = !{!"hasNonKernelArgStore", i1 false}
!113 = !{!"hasNonKernelArgAtomic", i1 false}
!114 = !{!"UserAnnotations"}
!115 = !{!"m_OpenCLArgAddressSpaces"}
!116 = !{!"m_OpenCLArgAccessQualifiers"}
!117 = !{!"m_OpenCLArgTypes"}
!118 = !{!"m_OpenCLArgBaseTypes"}
!119 = !{!"m_OpenCLArgTypeQualifiers"}
!120 = !{!"m_OpenCLArgNames"}
!121 = !{!"pushInfo", !122, !123, !124, !127, !128, !129, !130, !131, !132, !133, !134, !147, !148, !149, !150}
!122 = !{!"pushableAddresses"}
!123 = !{!"bindlessPushInfo"}
!124 = !{!"dynamicBufferInfo", !125, !126}
!125 = !{!"firstIndex", i32 0}
!126 = !{!"numOffsets", i32 0}
!127 = !{!"MaxNumberOfPushedBuffers", i32 0}
!128 = !{!"inlineConstantBufferSlot", i32 -1}
!129 = !{!"inlineConstantBufferOffset", i32 -1}
!130 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!131 = !{!"constants"}
!132 = !{!"inputs"}
!133 = !{!"constantReg"}
!134 = !{!"simplePushInfoArr", !135, !144, !145, !146}
!135 = !{!"simplePushInfoArrVec[0]", !136, !137, !138, !139, !140, !141, !142, !143}
!136 = !{!"cbIdx", i32 0}
!137 = !{!"pushableAddressGrfOffset", i32 -1}
!138 = !{!"pushableOffsetGrfOffset", i32 -1}
!139 = !{!"offset", i32 0}
!140 = !{!"size", i32 0}
!141 = !{!"isStateless", i1 false}
!142 = !{!"isBindless", i1 false}
!143 = !{!"simplePushLoads"}
!144 = !{!"simplePushInfoArrVec[1]", !136, !137, !138, !139, !140, !141, !142, !143}
!145 = !{!"simplePushInfoArrVec[2]", !136, !137, !138, !139, !140, !141, !142, !143}
!146 = !{!"simplePushInfoArrVec[3]", !136, !137, !138, !139, !140, !141, !142, !143}
!147 = !{!"simplePushBufferUsed", i32 0}
!148 = !{!"pushAnalysisWIInfos"}
!149 = !{!"inlineRTGlobalPtrOffset", i32 0}
!150 = !{!"rtSyncSurfPtrOffset", i32 0}
!151 = !{!"psInfo", !152, !153, !154, !155, !156, !157, !158, !159, !160, !161, !162, !163, !164, !165, !166}
!152 = !{!"BlendStateDisabledMask", i8 0}
!153 = !{!"SkipSrc0Alpha", i1 false}
!154 = !{!"DualSourceBlendingDisabled", i1 false}
!155 = !{!"ForceEnableSimd32", i1 false}
!156 = !{!"outputDepth", i1 false}
!157 = !{!"outputStencil", i1 false}
!158 = !{!"outputMask", i1 false}
!159 = !{!"blendToFillEnabled", i1 false}
!160 = !{!"forceEarlyZ", i1 false}
!161 = !{!"hasVersionedLoop", i1 false}
!162 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!163 = !{!"NumSamples", i8 0}
!164 = !{!"blendOptimizationMode"}
!165 = !{!"colorOutputMask"}
!166 = !{!"WaDisableVRS", i1 false}
!167 = !{!"csInfo", !168, !169, !170, !171, !172, !18, !19, !173, !174, !175, !176, !177, !47, !178}
!168 = !{!"maxWorkGroupSize", i32 0}
!169 = !{!"waveSize", i32 0}
!170 = !{!"ComputeShaderSecondCompile"}
!171 = !{!"forcedSIMDSize", i8 0}
!172 = !{!"forceTotalGRFNum", i32 0}
!173 = !{!"forcedVISAPreRAScheduler", i1 false}
!174 = !{!"disableLocalIdOrderOptimizations", i1 false}
!175 = !{!"disableDispatchAlongY", i1 false}
!176 = !{!"neededThreadIdLayout", i1* null}
!177 = !{!"forceTileYWalk", i1 false}
!178 = !{!"ResForHfPacking"}
!179 = !{!"msInfo", !180, !181, !182, !183, !184, !185, !186, !187, !188}
!180 = !{!"PrimitiveTopology", i32 3}
!181 = !{!"MaxNumOfPrimitives", i32 0}
!182 = !{!"MaxNumOfVertices", i32 0}
!183 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!184 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!185 = !{!"WorkGroupSize", i32 0}
!186 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!187 = !{!"IndexFormat", i32 6}
!188 = !{!"SubgroupSize", i32 0}
!189 = !{!"taskInfo", !190, !185, !186, !188}
!190 = !{!"MaxNumOfOutputs", i32 0}
!191 = !{!"NBarrierCnt", i32 0}
!192 = !{!"rtInfo", !193, !194, !195, !196, !197, !198, !199, !200, !201, !202}
!193 = !{!"RayQueryAllocSizeInBytes", i32 0}
!194 = !{!"NumContinuations", i32 -1}
!195 = !{!"RTAsyncStackAddrspace", i32 -1}
!196 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!197 = !{!"SWHotZoneAddrspace", i32 -1}
!198 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!199 = !{!"SWStackAddrspace", i32 -1}
!200 = !{!"SWStackSurfaceStateOffset", i1* null}
!201 = !{!"RTSyncStackAddrspace", i32 -1}
!202 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!203 = !{!"CurUniqueIndirectIdx", i32 0}
!204 = !{!"inlineDynTextures"}
!205 = !{!"inlineResInfoData"}
!206 = !{!"immConstant", !207, !208}
!207 = !{!"data"}
!208 = !{!"sizes"}
!209 = !{!"inlineConstantBuffers"}
!210 = !{!"inlineGlobalBuffers"}
!211 = !{!"GlobalPointerProgramBinaryInfos"}
!212 = !{!"ConstantPointerProgramBinaryInfos"}
!213 = !{!"GlobalBufferAddressRelocInfo"}
!214 = !{!"ConstantBufferAddressRelocInfo"}
!215 = !{!"forceLscCacheList"}
!216 = !{!"SrvMap"}
!217 = !{!"RasterizerOrderedByteAddressBuffer"}
!218 = !{!"MinNOSPushConstantSize", i32 0}
!219 = !{!"inlineProgramScopeOffsets"}
!220 = !{!"shaderData", !221}
!221 = !{!"numReplicas", i32 0}
!222 = !{!"URBInfo", !223, !224, !225}
!223 = !{!"has64BVertexHeaderInput", i1 false}
!224 = !{!"has64BVertexHeaderOutput", i1 false}
!225 = !{!"hasVertexHeader", i1 true}
!226 = !{!"UseBindlessImage", i1 false}
!227 = !{!"enableRangeReduce", i1 false}
!228 = !{!"allowMatchMadOptimizationforVS", i1 false}
!229 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!230 = !{!"statefulResourcesNotAliased", i1 false}
!231 = !{!"disableMixMode", i1 false}
!232 = !{!"PrivateMemoryPerFG"}
!233 = !{!"capabilities", !234}
!234 = !{!"globalVariableDecorationsINTEL", i1 false}
!235 = !{!"m_ShaderResourceViewMcsMask", !236, !237}
!236 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!237 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!238 = !{!"computedDepthMode", i32 0}
!239 = !{!"isHDCFastClearShader", i1 false}
!240 = !{i32 3, i32 0}
!241 = !{}
!242 = !{!"cl_doubles"}
!243 = !{!"-cl-std=CL3.0"}
